Index: bitlbee.h
===================================================================
--- bitlbee.h	(revision d527913c458a5e4713af18e019ba356dd369cbcc)
+++ bitlbee.h	(revision 18e1f3b157062e2daec877157e4868593e984656)
@@ -123,5 +123,5 @@
 #define DEFAULT_AWAY "Away from computer"
 #define CONTROL_TOPIC "Welcome to the control channel. Type \2help\2 for help information."
-#define IRCD_INFO "BitlBee <http://www.bitlbee.org/>"
+#define IRCD_INFO PACKAGE " <http://www.bitlbee.org/>"
 
 #define MAX_NICK_LENGTH 24
Index: configure
===================================================================
--- configure	(revision d527913c458a5e4713af18e019ba356dd369cbcc)
+++ configure	(revision 18e1f3b157062e2daec877157e4868593e984656)
@@ -641,4 +641,7 @@
 	oscar=0
 	yahoo=0
+
+	echo '#undef PACKAGE' >> config.h
+	echo '#define PACKAGE "BitlBee-LIBPURPLE"' >> config.h
 	
 	if [ "$events" = "libevent" ]; then
Index: ipc.c
===================================================================
--- ipc.c	(revision d527913c458a5e4713af18e019ba356dd369cbcc)
+++ ipc.c	(revision 18e1f3b157062e2daec877157e4868593e984656)
@@ -990,5 +990,5 @@
 	
 	ipc_to_children_str( "HELLO\r\n" );
-	ipc_to_children_str( "OPERMSG :New BitlBee master process started (version " BITLBEE_VERSION ")\r\n" );
+	ipc_to_children_str( "OPERMSG :New %s master process started (version %s)\r\n", PACKAGE, BITLBEE_VERSION );
 	
 	fclose( fp );
Index: irc_commands.c
===================================================================
--- irc_commands.c	(revision d527913c458a5e4713af18e019ba356dd369cbcc)
+++ irc_commands.c	(revision 18e1f3b157062e2daec877157e4868593e984656)
@@ -682,6 +682,6 @@
 static void irc_cmd_version( irc_t *irc, char **cmd )
 {
-	irc_send_num( irc, 351, "bitlbee-%s. %s :%s/%s ",
-	              BITLBEE_VERSION, irc->root->host, ARCH, CPU );
+	irc_send_num( irc, 351, "%s-%s. %s :%s/%s ",
+	              PACKAGE, BITLBEE_VERSION, irc->root->host, ARCH, CPU );
 }
 
Index: irc_send.c
===================================================================
--- irc_send.c	(revision d527913c458a5e4713af18e019ba356dd369cbcc)
+++ irc_send.c	(revision 18e1f3b157062e2daec877157e4868593e984656)
@@ -40,6 +40,7 @@
 void irc_send_login( irc_t *irc )
 {
-	irc_send_num( irc,   1, ":Welcome to the BitlBee gateway, %s", irc->user->nick );
-	irc_send_num( irc,   2, ":Host %s is running BitlBee " BITLBEE_VERSION " " ARCH "/" CPU ".", irc->root->host );
+	irc_send_num( irc,   1, ":Welcome to the %s gateway, %s", PACKAGE, irc->user->nick );
+	irc_send_num( irc,   2, ":Host %s is running %s %s %s/%s.", irc->root->host,
+	                        PACKAGE, BITLBEE_VERSION, ARCH, CPU );
 	irc_send_num( irc,   3, ":%s", IRCD_INFO );
 	irc_send_num( irc,   4, "%s %s %s %s", irc->root->host, BITLBEE_VERSION, UMODES UMODES_PRIV, CMODES );
Index: irc_user.c
===================================================================
--- irc_user.c	(revision d527913c458a5e4713af18e019ba356dd369cbcc)
+++ irc_user.c	(revision 18e1f3b157062e2daec877157e4868593e984656)
@@ -233,5 +233,5 @@
 	{
 		irc_send_msg_f( iu, "NOTICE", iu->irc->user->nick, "\001%s %s\001",
-		                ctcp[0], "BitlBee " BITLBEE_VERSION " " ARCH "/" CPU );
+		                ctcp[0], PACKAGE " " BITLBEE_VERSION " " ARCH "/" CPU );
 	}
 	else if( g_strcasecmp( ctcp[0], "PING" ) == 0 )
Index: unix.c
===================================================================
--- unix.c	(revision d527913c458a5e4713af18e019ba356dd369cbcc)
+++ unix.c	(revision 18e1f3b157062e2daec877157e4868593e984656)
@@ -113,5 +113,5 @@
 	
 		i = bitlbee_inetd_init();
-		log_message( LOGLVL_INFO, "BitlBee %s starting in inetd mode.", BITLBEE_VERSION );
+		log_message( LOGLVL_INFO, "%s %s starting in inetd mode.", PACKAGE, BITLBEE_VERSION );
 
 	}
@@ -122,5 +122,5 @@
 
 		i = bitlbee_daemon_init();
-		log_message( LOGLVL_INFO, "BitlBee %s starting in daemon mode.", BITLBEE_VERSION );
+		log_message( LOGLVL_INFO, "%s %s starting in daemon mode.", PACKAGE, BITLBEE_VERSION );
 	}
 	else if( global.conf->runmode == RUNMODE_FORKDAEMON )
@@ -139,5 +139,5 @@
 		
 		i = bitlbee_daemon_init();
-		log_message( LOGLVL_INFO, "BitlBee %s starting in forking daemon mode.", BITLBEE_VERSION );
+		log_message( LOGLVL_INFO, "%s %s starting in forking daemon mode.", PACKAGE, BITLBEE_VERSION );
 	}
 	if( i != 0 )
